> For the complete documentation index, see [llms.txt](https://docs.nexthink.com/platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nexthink.com/platform/ja/library-packs/l1-support/workflow-browser-behavior-awareness/configuration-guide-browser-behavior-awareness.md).

# 構成ガイド：ブラウザー動作認識

{% hint style="warning" %}
このページの構成オプションは[管理者](https://github.com/nexthink/documentation.online-product-documentation/tree/develop/ja_docs/configuring_nexthink/configuring-your-platform/administration/account-management/roles/README.md#roles-administration)のみが見ることができます。

ライブラリのコンテンツを標準ユーザーとして使用するには、[使用ガイド：ブラウザー動作認識](/platform/ja/library-packs/l1-support/workflow-browser-behavior-awareness/usage-guide-browser-behavior-awareness.md) を参照してください。
{% endhint %}

## 前提条件 <a href="#pre-requisites" id="pre-requisites"></a>

このライブラリパックには、次の[拡張製品](/platform/ja/overview/products.md)からのコンテンツが含まれています：

* [FlowーWorkflows](/platform/ja/user-guide/workflows.md)
* [Employee Engagement - Campaigns](/platform/ja/user-guide/campaigns.md)

{% hint style="info" %}
これらの製品のいくつかは、各コンテンツへのデフォルトアクセスを提供し、[拡張製品](/platform/ja/overview/products.md)なしでも使用できます。

Nexthink Infinity の拡張製品の標準しきい値については、[Nexthink Infinity しきい値および制限の概要](https://edocs.nexthink.com/ja/nexthink-infinity/infinity-specifications/nexthink-infinity-default-thresholds-overview) ドキュメントをご参照ください。
{% endhint %}

## 含まれるコンテンツと依存関係 <a href="#content-list-and-dependency" id="content-list-and-dependency"></a>

このライブラリパックには、以下のコンテンツと依存関係が含まれています：

| コンテンツの種類                                                             | 名前              | 説明                                                                                                                                                    | 依存関係                                     |
| -------------------------------------------------------------------- | --------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------- |
| [ワークフロー](https://docs.nexthink.com/platform/ja/user-guide/workflows) | ブラウザー動作に関する注意喚起 | このワークフローの目的は、最近ブラウザーの更新（Microsoft Edge、Google クローム、またはモジラ Firefox）を受け取ったデバイスを検出し、これらのブラウザーにおける新しいセキュリティプロンプト（ローカルネットワークアクセス要求）についての教育キャンペーンを表示することです。 | <ul><li>"ブラウザーのプロンプト通知" キャンペーン</li></ul> |
| [ダッシュボード](/platform/ja/user-guide/live-dashboards.md)                | ブラウザー動作の把握      | このダッシュボードは、Microsoft Edge、Google Chrome、Mozilla Firefox のブラウザー更新、バージョン、および「Browser Prompts Notification」エンゲージメントキャンペーンの結果をまとめたものです。                   | 該当なし                                     |
| [キャンペーン](https://docs.nexthink.com/platform/ja/user-guide/campaigns) | ブラウザーのプロンプト通知   | このキャンペーンの目的は、新しい「ローカル ネットワーク アクセスが必要」プロンプトへの対応方法に関する教育的なメッセージを共有することです。                                                                               | 該当なし                                     |

## ワークフローの構成：ブラウザー動作の認識 <a href="#configuration-guide" id="configuration-guide"></a>

この提案された設定ステップを適応させて、組織のニーズに応じてコンテンツを編集およびカスタマイズしてください。

Skynet をシステムにインストールするための手順に従ってください:

* 設定前 - [Nexthink Library](/platform/ja/user-guide/nexthink-library.md)からライブラリパックのコンテンツをインストールします
* [段階 1 - キャンペーンを編集](#step-2-edit-campaigns)
* [ステップ 2 - ワークフロー トリガーを維持する](#step-6-maintain-workflow-trigger)

### ステップ 1 - キャンペーンを編集 <a href="#step-2-edit-campaigns" id="step-2-edit-campaigns"></a>

メインメニューから、**Campaigns > Manage campaigns** に移動します。

インストールされている各キャンペーンごとに:

1. **送信者名** と **画像** をカスタマイズします。
2. キャンペーンの**質問**を見直して調整します。
3. 準備ができたらキャンペーンを**公開**します。

Nexthink は、ライセンスキャンペーンに対して次の設定を推奨しています:

| 名前            | トリガー   | 優先度 |
| ------------- | ------ | --- |
| ブラウザーのプロンプト通知 | ワークフロー | 緊急  |

### ステップ2 - ワークフロートリガーを維持する <a href="#step-6-maintain-workflow-trigger" id="step-6-maintain-workflow-trigger"></a>

このワークフローは**スケジュール**に基づいて実行されるように設計されています。

1. ワークフローを **Workflows > Manage workflows** から開きます。
2. 「**一般**」タブに移動します。
3. 「**スケジュール**」チェックボックスを有効にします。

スケジュールで次の NQL クエリを使用して、最近のブラウザー更新を適用したデバイスのうち、このワークフローによって最近ターゲットにされていないものを確実に対象とするようにします。 これにより、キャンペーンによってユーザーが圧倒されることを防ぎます。

このスケジュールは日常的な使用に推奨されます。

```
devices
| include package.installations during past 1d
| where package.name in ["*google chrome*", "*chrome canary*", "*chrome beta*", "microsoft edge", "edge dev", "*edge canary*", "*edge beta*", "firefox*", "mozilla firefox*", "Firefox Developer*"]
| compute recent_browser_updates = count(),
         updated_browser = package.name.last(),
         updated_browser_version = package.version.last()
| include workflow.executions during past 7d
| where workflow.nql_id == "#browser_behavior_awareness"
| compute recent_workflow_executions = count()
| where recent_browser_updates > 0 and recent_workflow_executions == 0
| list device.name, updated_browser, updated_browser_version, recent_browser_updates, recent_workflow_executions
```

ワークフロー パラメーター「Updated browser」が、このクエリの出力「updated\_browser」にバインドされていることを確認してください。

***

関連トピック

* [ワークフローの管理](/platform/ja/user-guide/workflows/managing-workflows.md)
* [キャンペーンの管理](/platform/ja/user-guide/campaigns/managing-campaigns/managing-campaigns.md)
* [ワークフロー：ブラウザーの動作認識](/platform/ja/library-packs/l1-support/workflow-browser-behavior-awareness.md)
* [利用ガイド：ブラウザー動作認識](/platform/ja/library-packs/l1-support/workflow-browser-behavior-awareness/usage-guide-browser-behavior-awareness.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nexthink.com/platform/ja/library-packs/l1-support/workflow-browser-behavior-awareness/configuration-guide-browser-behavior-awareness.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
